Package ru.bgcrm.event.process

# Class ProcessChangingEvent

java.lang.Object
org.bgerp.event.base.UserEvent
ru.bgcrm.event.process.ProcessChangingEvent

All Implemented Interfaces:
  `Event`

public class ProcessChangingEvent extends UserEvent

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `MODE_DESCRIPTION_ADDING`
  `static final int`
  `MODE_DESCRIPTION_CHANGING`
  `static final int`
  `MODE_EXECUTORS_CHANGING`
  `static final int`
  `MODE_GROUPS_CHANGING`
  `static final int`
  `MODE_PRIORITY_CHANGING`
  `static final int`
  `MODE_STATUS_CHANGING`
  `static final int`
  `MODE_TYPE_CHANGING`

  ### Fields inherited from class org.bgerp.event.base.UserEvent

  `form`

  ### Fields inherited from interface org.bgerp.app.event.iface.Event

  `KEY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProcessChangingEvent(DynActionForm form, Process process, Object value, int changeMode)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDescription()`
  `Set<Integer>`
  `getExecutors()`
  `Set<Integer>`
  `getGroups()`
  `Integer`
  `getPriority()`
  `Process`
  `getProcess()`
  `Set<ProcessExecutor>`
  `getProcessExecutors()`
  `Set<ProcessGroup>`
  `getProcessGroups()`
  `StatusChange`
  `getStatusChange()`
  `Integer`
  `getTypeId()`
  `boolean`
  `isClosing()`
  `boolean`
  `isDescription()`
  `boolean`
  `isDescriptionAdd()`
  `boolean`
  `isExecutors()`
  `boolean`
  `isGroups()`
  `boolean`
  `isOpening()`
  `boolean`
  `isPriority()`
  `boolean`
  `isStatus()`
  `boolean`
  `isTypeId()`

  ### Methods inherited from class org.bgerp.event.base.UserEvent

  `getForm, getUser, processing, stopProcessing`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### MODE_STATUS_CHANGING

    public static final int MODE_STATUS_CHANGING
    See Also:
      - Constant Field Values

  - ### MODE_DESCRIPTION_CHANGING

    public static final int MODE_DESCRIPTION_CHANGING
    See Also:
      - Constant Field Values

  - ### MODE_EXECUTORS_CHANGING

    public static final int MODE_EXECUTORS_CHANGING
    See Also:
      - Constant Field Values

  - ### MODE_PRIORITY_CHANGING

    public static final int MODE_PRIORITY_CHANGING
    See Also:
      - Constant Field Values

  - ### MODE_GROUPS_CHANGING

    public static final int MODE_GROUPS_CHANGING
    See Also:
      - Constant Field Values

  - ### MODE_DESCRIPTION_ADDING

    public static final int MODE_DESCRIPTION_ADDING
    See Also:
      - Constant Field Values

  - ### MODE_TYPE_CHANGING

    public static final int MODE_TYPE_CHANGING
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ProcessChangingEvent

    public ProcessChangingEvent(DynActionForm form, Process process, Object value, int changeMode)

- ## Method Details

  - ### getProcess

    public Process getProcess()

  - ### isStatus

    public boolean isStatus()

  - ### isClosing

    public boolean isClosing()

  - ### isOpening

    public boolean isOpening()

  - ### getStatusChange

    public StatusChange getStatusChange()

  - ### isDescription

    public boolean isDescription()

  - ### isDescriptionAdd

    public boolean isDescriptionAdd()

  - ### getDescription

    public String getDescription()

  - ### isGroups

    public boolean isGroups()

  - ### getGroups

    public Set<Integer> getGroups()

  - ### getProcessGroups

    public Set<ProcessGroup> getProcessGroups()

  - ### isExecutors

    public boolean isExecutors()

  - ### getExecutors

    public Set<Integer> getExecutors()

  - ### getProcessExecutors

    public Set<ProcessExecutor> getProcessExecutors()

  - ### isPriority

    public boolean isPriority()

  - ### getPriority

    public Integer getPriority()

  - ### isTypeId

    public boolean isTypeId()

  - ### getTypeId

    public Integer getTypeId()